< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package domain
  Definition Classes
    ct
- CompanyTypes
- ValidationConstants

o

uk.gov.hmrc.ct.domain

# CompanyTypes 

###

#### object CompanyTypes

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompanyTypes
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  sealed abstract class CompanyType extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AllCharityTypes: Set[CompanyType]
5.  val AllCompanyTypes: Set[CompanyType]
6.  val LimitedByGuaranteeCompanyTypes: Set[CompanyType]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  implicit val reads: Reads[CompanyType]
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
24.  implicit val writes: Writes[CompanyType]
25.  object CASC extends CompanyType with Product with Serializable
26.  object Charity extends CompanyType with Product with Serializable
27.  object CloseInvestmentHoldingCompany extends CompanyType with Product with Serializable
28.  object CompanyInLiquidation extends CompanyType with Product with Serializable
29.  object CompanyLimitedByGuarantee extends CompanyType with Product with Serializable
30.  object Ineligible extends CompanyType with Product with Serializable
31.  object InsuranceCompany extends CompanyType with Product with Serializable
32.  object InvestmentTrustWithHousingInvestmentProfits extends CompanyType with Product with Serializable
33.  object LimitedByGuaranteeCASC extends CompanyType with Product with Serializable
34.  object LimitedByGuaranteeCharity extends CompanyType with Product with Serializable
35.  object LimitedBySharesCASC extends CompanyType with Product with Serializable
36.  object LimitedBySharesCharity extends CompanyType with Product with Serializable
37.  object LimitedLiabilityPartnership extends CompanyType with Product with Serializable
38.  object MembersClub extends CompanyType with Product with Serializable
39.  object MembersVoluntaryLiquidation extends CompanyType with Product with Serializable
40.  object PropertyManagementCompany extends CompanyType with Product with Serializable
41.  object PublicLimitedCompany extends CompanyType with Product with Serializable
42.  object RealEstateInvestmentTrust extends CompanyType with Product with Serializable
43.  object UkTradingCompany extends CompanyType with Product with Serializable
44.  object UnitTrust extends CompanyType with Product with Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped